hpp-fcl: include/hpp/fcl/internal/traversal_node_setup.h File Reference

hpp-fcl 1.6.0 HPP fork of FCL -- The Flexible Collision Library

Namespaces | Functions
traversal_node_setup.h File Reference

Go to the source code of this file.

## Namespaces
| details

## Functions
template<typename BV >
bool | initialize (MeshCollisionTraversalNode< BV, RelativeTransformationIsIdentity > &node, BVHModel< BV > &model1, Transform3f &tf1, BVHModel< BV > &model2, Transform3f &tf2, CollisionResult &result, bool use_refit=false, bool refit_bottomup=false)
| Initialize traversal node for collision between two meshes, given the current transforms. More...
template<typename BV >
bool | initialize (MeshCollisionTraversalNode< BV, 0 > &node, const BVHModel< BV > &model1, const Transform3f &tf1, const BVHModel< BV > &model2, const Transform3f &tf2, CollisionResult &result)
template<typename S1 , typename S2 >
bool | initialize (ShapeDistanceTraversalNode< S1, S2 > &node, const S1 &shape1, const Transform3f &tf1, const S2 &shape2, const Transform3f &tf2, const GJKSolver *nsolver, const DistanceRequest &request, DistanceResult &result)
| Initialize traversal node for distance between two geometric shapes. More...
template<typename BV >
bool | initialize (MeshDistanceTraversalNode< BV, RelativeTransformationIsIdentity > &node, BVHModel< BV > &model1, Transform3f &tf1, BVHModel< BV > &model2, Transform3f &tf2, const DistanceRequest &request, DistanceResult &result, bool use_refit=false, bool refit_bottomup=false)
| Initialize traversal node for distance computation between two meshes, given the current transforms. More...
template<typename BV >
bool | initialize (MeshDistanceTraversalNode< BV, 0 > &node, const BVHModel< BV > &model1, const Transform3f &tf1, const BVHModel< BV > &model2, const Transform3f &tf2, const DistanceRequest &request, DistanceResult &result)
| Initialize traversal node for distance computation between two meshes. More...
template<typename BV , typename S >
bool | initialize (MeshShapeDistanceTraversalNode< BV, S > &node, BVHModel< BV > &model1, Transform3f &tf1, const S &model2, const Transform3f &tf2, const GJKSolver *nsolver, const DistanceRequest &request, DistanceResult &result, bool use_refit=false, bool refit_bottomup=false)
| Initialize traversal node for distance computation between one mesh and one shape, given the current transforms. More...
template<typename S , typename BV >
bool | initialize (ShapeMeshDistanceTraversalNode< S, BV > &node, const S &model1, const Transform3f &tf1, BVHModel< BV > &model2, Transform3f &tf2, const GJKSolver *nsolver, const DistanceRequest &request, DistanceResult &result, bool use_refit=false, bool refit_bottomup=false)
| Initialize traversal node for distance computation between one shape and one mesh, given the current transforms. More...
template<typename S >
bool | initialize (MeshShapeDistanceTraversalNodeRSS< S > &node, const BVHModel< RSS > &model1, const Transform3f &tf1, const S &model2, const Transform3f &tf2, const GJKSolver *nsolver, const DistanceRequest &request, DistanceResult &result)
| Initialize traversal node for distance computation between one mesh and one shape, specialized for RSS type. More...
template<typename S >
bool | initialize (MeshShapeDistanceTraversalNodekIOS< S > &node, const BVHModel< kIOS > &model1, const Transform3f &tf1, const S &model2, const Transform3f &tf2, const GJKSolver *nsolver, const DistanceRequest &request, DistanceResult &result)
| Initialize traversal node for distance computation between one mesh and one shape, specialized for kIOS type. More...
template<typename S >
bool | initialize (MeshShapeDistanceTraversalNodeOBBRSS< S > &node, const BVHModel< OBBRSS > &model1, const Transform3f &tf1, const S &model2, const Transform3f &tf2, const GJKSolver *nsolver, const DistanceRequest &request, DistanceResult &result)
| Initialize traversal node for distance computation between one mesh and one shape, specialized for OBBRSS type. More...
template<typename S >
bool | initialize (ShapeMeshDistanceTraversalNodeRSS< S > &node, const S &model1, const Transform3f &tf1, const BVHModel< RSS > &model2, const Transform3f &tf2, const GJKSolver *nsolver, const DistanceRequest &request, DistanceResult &result)
| Initialize traversal node for distance computation between one shape and one mesh, specialized for RSS type. More...
template<typename S >
bool | initialize (ShapeMeshDistanceTraversalNodekIOS< S > &node, const S &model1, const Transform3f &tf1, const BVHModel< kIOS > &model2, const Transform3f &tf2, const GJKSolver *nsolver, const DistanceRequest &request, DistanceResult &result)
| Initialize traversal node for distance computation between one shape and one mesh, specialized for kIOS type. More...
template<typename S >
bool | initialize (ShapeMeshDistanceTraversalNodeOBBRSS< S > &node, const S &model1, const Transform3f &tf1, const BVHModel< OBBRSS > &model2, const Transform3f &tf2, const GJKSolver *nsolver, const DistanceRequest &request, DistanceResult &result)
| Initialize traversal node for distance computation between one shape and one mesh, specialized for OBBRSS type. More...

## Function Documentation

## ◆ initialize() [1/13]

template<typename BV >

bool initialize | ( | MeshCollisionTraversalNode< BV, 0 > & | node,
|  | const BVHModel< BV > & | model1,
|  | const Transform3f & | tf1,
|  | const BVHModel< BV > & | model2,
|  | const Transform3f & | tf2,
|  | CollisionResult & | result
| ) |  |

## ◆ initialize() [2/13]

template<typename BV >

bool initialize | ( | MeshCollisionTraversalNode< BV, RelativeTransformationIsIdentity > & | node,
|  | BVHModel< BV > & | model1,
|  | Transform3f & | tf1,
|  | BVHModel< BV > & | model2,
|  | Transform3f & | tf2,
|  | CollisionResult & | result,
|  | bool | use_refit = `false`,
|  | bool | refit_bottomup = `false`
| ) |  |

Initialize traversal node for collision between two meshes, given the current transforms.

Author
  Jia Pan

## ◆ initialize() [3/13]

template<typename BV >

bool initialize | ( | MeshDistanceTraversalNode< BV, 0 > & | node,
|  | const BVHModel< BV > & | model1,
|  | const Transform3f & | tf1,
|  | const BVHModel< BV > & | model2,
|  | const Transform3f & | tf2,
|  | const DistanceRequest & | request,
|  | DistanceResult & | result
| ) |  |

Initialize traversal node for distance computation between two meshes.

## ◆ initialize() [4/13]

template<typename BV >

bool initialize | ( | MeshDistanceTraversalNode< BV, RelativeTransformationIsIdentity > & | node,
|  | BVHModel< BV > & | model1,
|  | Transform3f & | tf1,
|  | BVHModel< BV > & | model2,
|  | Transform3f & | tf2,
|  | const DistanceRequest & | request,
|  | DistanceResult & | result,
|  | bool | use_refit = `false`,
|  | bool | refit_bottomup = `false`
| ) |  |

Initialize traversal node for distance computation between two meshes, given the current transforms.

## ◆ initialize() [5/13]

template<typename BV , typename S >

bool initialize | ( | MeshShapeDistanceTraversalNode< BV, S > & | node,
|  | BVHModel< BV > & | model1,
|  | Transform3f & | tf1,
|  | const S & | model2,
|  | const Transform3f & | tf2,
|  | const GJKSolver * | nsolver,
|  | const DistanceRequest & | request,
|  | DistanceResult & | result,
|  | bool | use_refit = `false`,
|  | bool | refit_bottomup = `false`
| ) |  |

Initialize traversal node for distance computation between one mesh and one shape, given the current transforms.

## ◆ initialize() [6/13]

template<typename S >

bool initialize | ( | MeshShapeDistanceTraversalNodekIOS< S > & | node,
|  | const BVHModel< kIOS > & | model1,
|  | const Transform3f & | tf1,
|  | const S & | model2,
|  | const Transform3f & | tf2,
|  | const GJKSolver * | nsolver,
|  | const DistanceRequest & | request,
|  | DistanceResult & | result
| ) |  |

Initialize traversal node for distance computation between one mesh and one shape, specialized for kIOS type.

## ◆ initialize() [7/13]

template<typename S >

bool initialize | ( | MeshShapeDistanceTraversalNodeOBBRSS< S > & | node,
|  | const BVHModel< OBBRSS > & | model1,
|  | const Transform3f & | tf1,
|  | const S & | model2,
|  | const Transform3f & | tf2,
|  | const GJKSolver * | nsolver,
|  | const DistanceRequest & | request,
|  | DistanceResult & | result
| ) |  |

Initialize traversal node for distance computation between one mesh and one shape, specialized for OBBRSS type.

## ◆ initialize() [8/13]

template<typename S >

bool initialize | ( | MeshShapeDistanceTraversalNodeRSS< S > & | node,
|  | const BVHModel< RSS > & | model1,
|  | const Transform3f & | tf1,
|  | const S & | model2,
|  | const Transform3f & | tf2,
|  | const GJKSolver * | nsolver,
|  | const DistanceRequest & | request,
|  | DistanceResult & | result
| ) |  |

Initialize traversal node for distance computation between one mesh and one shape, specialized for RSS type.

## ◆ initialize() [9/13]

template<typename S1 , typename S2 >

bool initialize | ( | ShapeDistanceTraversalNode< S1, S2 > & | node,
|  | const S1 & | shape1,
|  | const Transform3f & | tf1,
|  | const S2 & | shape2,
|  | const Transform3f & | tf2,
|  | const GJKSolver * | nsolver,
|  | const DistanceRequest & | request,
|  | DistanceResult & | result
| ) |  |

Initialize traversal node for distance between two geometric shapes.

## ◆ initialize() [10/13]

template<typename S , typename BV >

bool initialize | ( | ShapeMeshDistanceTraversalNode< S, BV > & | node,
|  | const S & | model1,
|  | const Transform3f & | tf1,
|  | BVHModel< BV > & | model2,
|  | Transform3f & | tf2,
|  | const GJKSolver * | nsolver,
|  | const DistanceRequest & | request,
|  | DistanceResult & | result,
|  | bool | use_refit = `false`,
|  | bool | refit_bottomup = `false`
| ) |  |

Initialize traversal node for distance computation between one shape and one mesh, given the current transforms.

## ◆ initialize() [11/13]

template<typename S >

bool initialize | ( | ShapeMeshDistanceTraversalNodekIOS< S > & | node,
|  | const S & | model1,
|  | const Transform3f & | tf1,
|  | const BVHModel< kIOS > & | model2,
|  | const Transform3f & | tf2,
|  | const GJKSolver * | nsolver,
|  | const DistanceRequest & | request,
|  | DistanceResult & | result
| ) |  |

Initialize traversal node for distance computation between one shape and one mesh, specialized for kIOS type.

## ◆ initialize() [12/13]

template<typename S >

bool initialize | ( | ShapeMeshDistanceTraversalNodeOBBRSS< S > & | node,
|  | const S & | model1,
|  | const Transform3f & | tf1,
|  | const BVHModel< OBBRSS > & | model2,
|  | const Transform3f & | tf2,
|  | const GJKSolver * | nsolver,
|  | const DistanceRequest & | request,
|  | DistanceResult & | result
| ) |  |

Initialize traversal node for distance computation between one shape and one mesh, specialized for OBBRSS type.

## ◆ initialize() [13/13]

template<typename S >

bool initialize | ( | ShapeMeshDistanceTraversalNodeRSS< S > & | node,
|  | const S & | model1,
|  | const Transform3f & | tf1,
|  | const BVHModel< RSS > & | model2,
|  | const Transform3f & | tf2,
|  | const GJKSolver * | nsolver,
|  | const DistanceRequest & | request,
|  | DistanceResult & | result
| ) |  |

Initialize traversal node for distance computation between one shape and one mesh, specialized for RSS type.